package com.alterdekim.flash.decompiler.mapper;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface FlashField {
    String name() default "";
    boolean useCustomConverter() default false;
    Class<? extends FlashFieldConverter> converter() default FlashFieldConverter.None.class;
}
